Bug 22824 - REGRESSION (r39206): 3 SVG pixel tests are failing on the Leopard pixel bot since r39206
Summary: REGRESSION (r39206): 3 SVG pixel tests are failing on the Leopard pixel bot s...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Major
Assignee: Nobody
URL:
Keywords: LayoutTestFailure, Regression
Depends on:
Blocks:
 
Reported: 2008-12-12 09:41 PST by Pierre-Olivier Latour
Modified: 2008-12-14 00:49 PST (History)
2 users (show)

See Also:


Attachments
Attempt to fix the regression (294.51 KB, patch)
2008-12-13 12:47 PST, Holger Freyther
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre-Olivier Latour 2008-12-12 09:41:53 PST
3 SVG pixel tests are failing on the Leopard pixel bot since build 884:

http://build.webkit.org/builders/trunk-mac-intel-pixel/builds/883 (r39205)
http://build.webkit.org/builders/trunk-mac-intel-pixel/builds/884 (r39206)

svg/W3C-SVG-1.1/text-tselect-02-f.svg	expected	actual	diffs	expected image	image diffs	1.21%
svg/custom/image-small-width-height.svg	expected	actual	diffs	expected image	image diffs	0.28%
svg/text/text-tselect-02-f.svg	expected	actual	diffs	expected image	image diffs	1.23%

Here's the change: http://trac.webkit.org/changeset/39206
Comment 1 Pierre-Olivier Latour 2008-12-12 14:33:44 PST
I checked in new results so that the bots are green again:

Sending        LayoutTests/ChangeLog
Sending        LayoutTests/platform/mac/svg/W3C-SVG-1.1/text-tselect-02-f-expected.checksum
Sending        LayoutTests/platform/mac/svg/W3C-SVG-1.1/text-tselect-02-f-expected.png
Sending        LayoutTests/platform/mac/svg/W3C-SVG-1.1/text-tselect-02-f-expected.txt
Sending        LayoutTests/platform/mac/svg/custom/image-small-width-height-expected.checksum
Sending        LayoutTests/platform/mac/svg/custom/image-small-width-height-expected.png
Sending        LayoutTests/platform/mac/svg/custom/image-small-width-height-expected.txt
Sending        LayoutTests/platform/mac/svg/text/text-tselect-02-f-expected.checksum
Sending        LayoutTests/platform/mac/svg/text/text-tselect-02-f-expected.png
Sending        LayoutTests/platform/mac/svg/text/text-tselect-02-f-expected.txt
Transmitting file data ..........
Committed revision 39254.

Comment 2 Holger Freyther 2008-12-13 08:15:54 PST
What am I supposed to do?
Comment 3 mitz 2008-12-13 10:14:43 PST
(In reply to comment #2)
> What am I supposed to do?
> 

Maybe change the single instance of ENABLE(FONT_FAST_PATH) in your patch to USE(FONT_FAST_PATH) as a start.
Comment 4 Holger Freyther 2008-12-13 12:47:56 PST
Created attachment 26002 [details]
Attempt to fix the regression

Ouch. The patch was changed to use USE(...) instead of ENABLE(...) and this one item was not changed. When looking at the patch I didn't see the wrong #if. I think the other part of the patch is right. I'm currently not on OSX and I'm not able to run the pixel tests.

The change from:
  if(canUse)
    simple
  else
    complex
}

to
  if (canUse)
     return simple;
   return complex
}

 
looks okay and is matching other parts of the code...
Comment 5 Holger Freyther 2008-12-13 14:30:16 PST
Landed in r39277. The mentioned tests work on trunk-mac-intel-pixel. And on trunk-mac-ppc-pixel the number of pixel failures is down from 4 to 2. Ironically when searching for "-> failed" in the log I only see one unrelated failure.

I assume this issue can be resolved as fixed?
Comment 6 mitz 2008-12-14 00:49:14 PST
Fixed. Thanks!